Upstream information

CVE-2022-25634 at MITRE

Description

Qt through 5.15.8 and 6.x through 6.2.3 can load system library files from an unintended working directory.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1196690 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 libqt4 Not affected
HPE Helion OpenStack 8 libqt5-qtbase Not affected
SUSE CaaS Platform 4.0 libqt5-qtbase Not affected
SUSE Enterprise Storage 6 libqt5-qtbase Not affected
SUSE Enterprise Storage 7 libqt5-qtbase Not affected
SUSE Linux Enterprise Desktop 12 SP5 libqt4 Not affected
SUSE Linux Enterprise Desktop 15 SP3 libqt5-qtbase Not affected
SUSE Linux Enterprise Desktop 15 SP4 libqt5-qtbase Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 libqt4 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 libqt5-qtbase Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS libqt5-qtbase Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS libqt5-qtbase Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 libqt5-qtbase Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 libqt5-qtbase Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 libqt5-qtbase Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 libqt5-qtbase Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 libqt5-qtbase Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 libqt5-qtbase Not affected
SUSE Linux Enterprise Real Time 15 SP2 libqt5-qtbase Not affected
SUSE Linux Enterprise Server 11 SP1 libqt4 Not affected
SUSE Linux Enterprise Server 11 SP3 libqt4 Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS libqt4 Not affected
SUSE Linux Enterprise Server 12 SP2 BCL libqt4 Not affected
SUSE Linux Enterprise Server 12 SP2 BCL libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP3 BCL libqt4 Not affected
SUSE Linux Enterprise Server 12 SP3 BCL libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS libqt4 Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS libqt4 Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS libqt4 Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS libqt4 Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP5 libqt4 Not affected
SUSE Linux Enterprise Server 12 SP5 libqt5-qtbase Not affected
SUSE Linux Enterprise Server 15 ESPOS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 15 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 15 SP2 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 15 SP3 libqt5-qtbase Not affected
SUSE Linux Enterprise Server 15 SP4 libqt5-qtbase Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libqt5-qtbase Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libqt4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libqt4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libqt4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 15 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libqt5-qtbase Not affected
SUSE Linux Enterprise Storage 7.1 libqt5-qtbase Not affected
SUSE Linux Enterprise Workstation Extension 12 SP5 libqt4 Not affected
SUSE Manager Proxy 4.1 libqt5-qtbase Not affected
SUSE Manager Proxy 4.2 libqt5-qtbase Not affected
SUSE Manager Proxy 4.3 libqt5-qtbase Not affected
SUSE Manager Retail Branch Server 4.1 libqt5-qtbase Not affected
SUSE Manager Retail Branch Server 4.2 libqt5-qtbase Not affected
SUSE Manager Retail Branch Server 4.3 libqt5-qtbase Not affected
SUSE Manager Server 4.1 libqt5-qtbase Not affected
SUSE Manager Server 4.2 libqt5-qtbase Not affected
SUSE Manager Server 4.3 libqt5-qtbase Not affected
SUSE OpenStack Cloud 8 libqt4 Not affected
SUSE OpenStack Cloud 8 libqt5-qtbase Not affected
SUSE OpenStack Cloud 9 libqt4 Not affected
SUSE OpenStack Cloud 9 libqt5-qtbase Not affected
SUSE OpenStack Cloud Crowbar 8 libqt4 Not affected
SUSE OpenStack Cloud Crowbar 8 libqt5-qtbase Not affected
SUSE OpenStack Cloud Crowbar 9 libqt4 Not affected
SUSE OpenStack Cloud Crowbar 9 libqt5-qtbase Not affected